Bug 102815 - SSL active mode data connections hang
Summary: SSL active mode data connections hang
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL: http://www.landfield.com/wu-ftpd/mail...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-21 14:16 UTC by John Dalbec
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 13:26:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's a diff -u style patch against 2.6.2-11.73.1 (587 bytes, patch)
2003-08-21 20:55 UTC, John Dalbec
no flags Details | Diff

Description John Dalbec 2003-08-21 14:16:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
I've tried the "ftps" client from bsdftpd-ssl.sc.ru and the z/OS 1.3 ftp client.
 If I sign on with AUTH TLS, then issue the PRIVATE command, then type "ls", the
client hangs.  In /var/log/messages I see:
ftpd: <client>: <user>: NLST[6533]: SSL_accept(): (5)
error:00000000:lib(0):func(0):reason(0)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install bsdftpclient RPM from bsdftpd-ssl.sc.ru
2. ftps localhost
3. log in as a user
4. ls


Actual Results:  Client froze.

Expected Results:  Directory listing.

Additional info:  The URL field points to a patch.

Comment 1 John Dalbec 2003-08-21 20:55:41 UTC
Created attachment 93830 [details]
Here's a diff -u style patch against 2.6.2-11.73.1

My bug title is slightly off; it's only active mode SSL data connections that
hang.  ASCII/binary makes no difference.

Comment 2 Thomas Woerner 2004-02-19 13:26:56 UTC
Please use vsftpd, wu-ftpd is not maintained anymore.


Note You need to log in before you can comment on or make changes to this bug.